Index: binaries/data/mods/public/simulation/components/WallSet.js
===================================================================
--- binaries/data/mods/public/simulation/components/WallSet.js
+++ binaries/data/mods/public/simulation/components/WallSet.js
@@ -21,6 +21,26 @@ WallSet.prototype.Schema =
 			"<element name='WallShort' a:help='Template name of the short wall segment'>" +
 				"<text/>" +
 			"</element>" +
+			"<optional>" +
+				"<element name='WallCurveQuarter'>" +
+					"<text/>" +
+				"</element>" +
+			"</optional>" +
+			"<optional>" +
+				"<element name='WallCurveEighth'>" +
+					"<text/>" +
+				"</element>" +
+			"</optional>" +
+			"<optional>" +
+				"<element name='WallEnd'>" +
+					"<text/>" +
+				"</element>" +
+			"</optional>" +
+			"<optional>" +
+				"<element name='Fort'>" +
+					"<text/>" +
+				"</element>" +
+			"</optional>" +
 		"</interleave>" + 
 	"</element>" + 
 	"<element name='MinTowerOverlap' a:help='Maximum fraction that wall segments are allowed to overlap towers, where 0 signifies no overlap and 1 full overlap'>" + 
